Debian Bug report logs - #595846
djplay: FTBFS in squeeze: Nonexistent build-dependency: 'libjack0.100.0-dev'

version graph

Package: djplay; Maintainer for djplay is Adrien Cunin <adri2000@ubuntu.com>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Mon, 6 Sep 2010 23:13:06 UTC

Severity: minor

Tags: patch, sid, squeeze, wheezy

Found in version djplay/0.5.0-3.1

Fixed in version djplay/0.5.0-3.2

Done: Alessio Treglia <alessio@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adrien Cunin <adri2000@ubuntu.com>:
Bug#595846; Package djplay. (Mon, 06 Sep 2010 23:13:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Adrien Cunin <adri2000@ubuntu.com>. (Mon, 06 Sep 2010 23:13:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: djplay: FTBFS in squeeze: Nonexistent build-dependency: 'libjack0.100.0-dev'
Date: Tue, 7 Sep 2010 01:03:12 +0200
Package: djplay
Version: 0.5.0-3.1
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100906 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in a squeeze chroot, your package failed
to build on amd64.

Relevant part:
> ** Using build dependencies supplied by package:
> Build-Depends: debhelper (>= 7), quilt, autotools-dev, libqt3-mt-dev, libjack0.100.0-dev, libaudiofile-dev, libvorbis-dev, libsamplerate0-dev, libcdparanoia0-dev, libsoundtouch1-dev, libid3-3.8.3-dev, libmad0-dev, libmpeg3-dev, ladspa-sdk, swh-plugins, tap-plugins, libxml2-dev, libusb-dev, libdjconsole-dev
> N: Can't select versions from package 'libc-dev' as it purely virtual
> N: Can't select versions from package 'awk' as it purely virtual
> N: Can't select versions from package 'debconf-2.0' as it purely virtual
> N: Can't select versions from package 'perlapi-5.10.0' as it purely virtual
> N: No packages found
> 
> ┌──────────────────────────────────────────────────────────────────────────────┐
> │ Install build dependencies (internal resolver)                               │
> └──────────────────────────────────────────────────────────────────────────────┘
> 
> Checking for already installed source dependencies...
> debhelper: missing
> Using default version 8.0.0
> quilt: missing
> autotools-dev: missing
> libqt3-mt-dev: missing
> libjack0.100.0-dev: missing
> libaudiofile-dev: missing
> libvorbis-dev: missing
> libsamplerate0-dev: missing
> libcdparanoia0-dev: missing
> libsoundtouch1-dev: missing
> libid3-3.8.3-dev: missing
> libmad0-dev: missing
> libmpeg3-dev: missing
> ladspa-sdk: missing
> swh-plugins: missing
> tap-plugins: missing
> libxml2-dev: missing
> libusb-dev: missing
> libdjconsole-dev: missing
> Checking for source dependency conflicts...
> E: Package 'libjack0.100.0-dev' has no installation candidate

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/09/06/djplay_0.5.0-3.1_lsqueeze64.buildlog

It is possible that your package builds fine in sid, but you should make sure
that your package also builds fine in squeeze before the release.

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Severity set to 'minor' from 'serious' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 07 Sep 2010 12:36:08 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:38 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adrien Cunin <adri2000@ubuntu.com>:
Bug#595846; Package djplay. (Mon, 08 Aug 2011 10:48:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alessio Treglia <alessio@debian.org>:
Extra info received and forwarded to list. Copy sent to Adrien Cunin <adri2000@ubuntu.com>. (Mon, 08 Aug 2011 10:48:17 GMT) Full text and rfc822 format available.

Message #14 received at 595846@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 595846@bugs.debian.org, 615512@bugs.debian.org, 629686@bugs.debian.org
Subject: djplay: diff for NMU version 0.5.0-3.2
Date: Mon, 8 Aug 2011 12:48:19 +0200
[Message part 1 (text/plain, inline)]
tags 595846 + patch
tags 615512 + patch
tags 629686 + patch
thanks

Dear maintainer,

I've prepared an NMU for djplay (versioned as 0.5.0-3.2). The diff
is attached to this message.

Regards.

-- 
Alessio Treglia          | www.alessiotreglia.com
Debian Developer         | alessio@debian.org
Ubuntu Core Developer    | quadrispro@ubuntu.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0
[djplay-0.5.0-3.2-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Alessio Treglia <alessio@debian.org> to control@bugs.debian.org. (Mon, 08 Aug 2011 10:48:20 GMT) Full text and rfc822 format available.

Reply sent to Alessio Treglia <alessio@debian.org>:
You have taken responsibility. (Mon, 08 Aug 2011 11:06:12 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 08 Aug 2011 11:06:31 GMT) Full text and rfc822 format available.

Message #21 received at 595846-close@bugs.debian.org (full text, mbox):

From: Alessio Treglia <alessio@debian.org>
To: 595846-close@bugs.debian.org
Subject: Bug#595846: fixed in djplay 0.5.0-3.2
Date: Mon, 08 Aug 2011 11:02:17 +0000
Source: djplay
Source-Version: 0.5.0-3.2

We believe that the bug you reported is fixed in the latest version of
djplay, which is due to be installed in the Debian FTP archive:

djplay_0.5.0-3.2.diff.gz
  to main/d/djplay/djplay_0.5.0-3.2.diff.gz
djplay_0.5.0-3.2.dsc
  to main/d/djplay/djplay_0.5.0-3.2.dsc
djplay_0.5.0-3.2_i386.deb
  to main/d/djplay/djplay_0.5.0-3.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595846@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alessio Treglia <alessio@debian.org> (supplier of updated djplay package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 08 Aug 2011 12:37:32 +0200
Source: djplay
Binary: djplay
Architecture: source i386
Version: 0.5.0-3.2
Distribution: unstable
Urgency: low
Maintainer: Adrien Cunin <adri2000@ubuntu.com>
Changed-By: Alessio Treglia <alessio@debian.org>
Description: 
 djplay     - A DJ application for Linux
Closes: 595846 615512 629686
Changes: 
 djplay (0.5.0-3.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add missing #include statements to fix FTBFS on all architectures;
     Closes: #629686 and LP: 595827
   * Fix build-dependency on JACK (Closes: #595846).
   * Fix build-dependency on libsoundtouch-dev (Closes: #615512).
   * Explicitly set source format to 1.0.
Checksums-Sha1: 
 50e02d939b6a1075f6c416400bf89bb0e842bda7 1252 djplay_0.5.0-3.2.dsc
 ce82937322a98ff34199429fe85ecfde31933774 8513 djplay_0.5.0-3.2.diff.gz
 b2ceec337b1f71d19453037ab59986d51c358fd9 286700 djplay_0.5.0-3.2_i386.deb
Checksums-Sha256: 
 f955241461c7b5613d6ee205aa8e85b1ad5f7207b782b01bafe3dbd4f0d9256a 1252 djplay_0.5.0-3.2.dsc
 2b192f9da9cf3c8febb92c5e3252dd7a5806e4236d64eb7edb226c79c1c8485a 8513 djplay_0.5.0-3.2.diff.gz
 089e97d0d148e467b84e4d40705e4e259ad6250ac2e00675934d540fb8c4f1ca 286700 djplay_0.5.0-3.2_i386.deb
Files: 
 f48dbcdd77b18319202f67c0df3ac912 1252 sound optional djplay_0.5.0-3.2.dsc
 bbc87bbfc50c294aab946f3a60addd54 8513 sound optional djplay_0.5.0-3.2.diff.gz
 54d02edd4e96e112d23e1c23f424040d 286700 sound optional djplay_0.5.0-3.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4/vsQACgkQRdSMfNz8P9BICwCfUvk19e2JKndeGyxyZo7hfWJQ
E7gAn0nMw2qK1TcS/GLIUQ85FK4L98rq
=4J0p
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 16 Sep 2011 07:32:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:16:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.